#!/bin/sh

PCI_DEV_HAS=`grep -i '19e53532' /proc/bus/pci/devices`
PROD_TYPE_HD=`grep -i '(hdr' /proc/cmdline`
EXT_GPIO_DRV_INS=`grep -i '(dvu' /proc/cmdline`   

if [ "$PCI_DEV_HAS" == "" ];then

  if [ "$EXT_GPIO_DRV_INS" = "" ]; then
  	#set default buzzer gpio control
   	himm 0x200f004c 0x0    	
  fi 
	
	if [ "$PROD_TYPE_HD" = "" ];then
		echo "current used product type 16d1 or 16960h or nvr"
		cd /mnt/mtd/modules && ./load3531 -i 16d1
	else
		echo "current used product type 4hd"
		cd /mnt/mtd/modules && ./load3531 -i 4hd
	fi
else
	himm 0x200f004c 0x0
	
	if [ "$PROD_TYPE_HD" = "" ];then
		echo "current used product type 960h"
		cd /mnt/mtd/modules && ./load3531_cascade -i 960h
	else
		echo "current used product type hd"
		cd /mnt/mtd/modules && ./load3531_cascade -i hd
	fi
fi

modprobe nfs

rm /upgrade/ -rf
rm /mnt/mtd/preupgrade.sh
rm /mnt/mtd/productcheck

telnetd &

export mac=$(cat /etc/init.d/mac.dat)
ifconfig eth0 down
ifconfig eth0 hw ether $mac
ifconfig eth0 up

ifconfig lo up
route add -net 224.0.0.0 netmask 240.0.0.0 dev eth0
                                 
cd /mnt/mtd && ./XDVRStart.hisi ./td3531 &
